;
(function ($) {
    $.extend(FR.Report.Plugin.Fit, {

        extendPara: function (para, contentPane) {
            var isIE8 = FR.Browser.isIE8Before();
            var documentHeight = isIE8 ? $(window.document).height() : $(window).height();
            var toolBar = $('.x-toolbar');
            var extraHeight = 0;
            for (var i = 0; i < toolBar.length; i++) {
                extraHeight += $(toolBar[i]).height();
            }
            extraHeight += $('.parameter-container').height();

            documentHeight -= extraHeight;
            $.extend(para, {
                __webpage__: true,
                _paperWidth: isIE8 ? $(window.document).width() : $(window).width(),
                _paperHeight: documentHeight,
                __fit__: contentPane.__fit__
            });
        }
    });

    if(FR.Form) {
        FR.Form.getFitConfigFromServer = function (contenConfig) {
            if (contenConfig.__FIT__) {
                var sessionID = contenConfig.widgetUrl.getQuery('sessionID');
                var isIE8 = FR.Browser.isIE8Before();
                FR.ajax({
                    url: FR.servletURL,
                    data: {
                        op: 'fr_form',
                        cmd: 'fit_config',
                        sessionID: sessionID,
                        _: new Date().getTime(),
                        _PAPERWIDTH: isIE8 ? $(window.document).width() : $(window).width(),
                        _PAPERHEIGHT: isIE8 ? $(window.document).height() : $(window).height(),
                        _SHOWPARA: $('.parameter-container-collapseimg-down').length == 0
                    },
                    async: false,
                    complete: function (res, status) {
                        if (status == 'success') {
                            contenConfig = FR.jsonDecode(res.responseText);
                        }
                    }
                })
            }

            return contenConfig;
        };
        FR.Form.bindFitResize = function (form, noBindResize) {
            if (noBindResize) {
                return;
            }

            $(window).resize(function () {
                form.loadContentPane(true);
            });
        };
    }
})(jQuery);